function K_FillN(n_group)
%%% Kenneth 03_12_09
%%% to fill N as the mode of each subspecies

load K_SqnsN.mat;
file2 = strcat('K_Group',num2str(n_group),'.mat');
load(file2);

[M Len] = size(FlagN);
SqnsN_old = SqnsN;
FlagN_old = FlagN;

for i=1:M
    for j=1:Len
        if FlagN(i,j)==0
        %if there is an "N"
            Ind = find(Indx_Group_All==Indx_Group_All(i));
            LenI = length(Ind);
            [M F C] = mode(FlagN(Ind,j));
            CC=C{1,1}; % The M values for the same Frequency
            if length(CC)>1 && M>0
                SqnsN(i,(j-1)*4+1) = .25;
                SqnsN(i,(j-1)*4+2) = .25;
                SqnsN(i,(j-1)*4+3) = .25;
                SqnsN(i,(j-1)*4+4) = .25;
            elseif length(CC)==2 && M==0 && CC(2)~=5
                M=CC(2);
                SqnsN(i,(j-1)*4+M) = 1;   % M=1 for A, M=2 for C, M=3 for G, M=4 for T
            elseif (length(CC)>2 || length(CC)==1) && M==0 
                SqnsN(i,(j-1)*4+1) = .25;
                SqnsN(i,(j-1)*4+2) = .25;
                SqnsN(i,(j-1)*4+3) = .25;
                SqnsN(i,(j-1)*4+4) = .25;     
            elseif length(CC)==1 && M > 0 && M < 5
                SqnsN(i,(j-1)*4+M) = 1;   % M=1 for A, M=2 for C, M=3 for G, M=4 for T
                FlagN(i,j)=M;
            end
        
        end
    
    end
end

file3 = strcat('K_SqnsN_FillN',num2str(n_group),'.mat');
save(file3, 'FlagN', 'SqnsN', 'SqnsN_old', 'FlagN_old', 'Len', 'N_emp');