function K_ConvertBarCode(sequence_start, sequence_end)
%%% Kenneth 03_12_2009
%%% to convert the sequences into a N x (4*Len)
%%% matrix 


%% Initialization
load('K_Sqns.mat');
Seq_Range=sequence_start:sequence_end; % take base pairs between position A:B inclusive
Len=length(Seq_Range); 
SqnsN = zeros(N, 4*Len); % the translated sequences
N_emp = zeros(N,1); % the number of blanks in each sequence

%% translate genes
for i=1:N
    Sqn(i,:)=Sqns{i,1};
end

[SqnsN, FlagN, N_emp] =K_TranslateBar(Sqn(:,Seq_Range));
% FlagN is a M x Len matrix for calculating the mode.
% see instruction in K_TranslateBar.m

%% save the result
save K_SqnsN.mat SqnsN FlagN N_emp Len;
